package main

import (
	"WorldEpcho/src/models"
	"encoding/json"
	"fmt"
	"io/ioutil"
	"log"

	_ "github.com/go-sql-driver/mysql"
	"github.com/go-xorm/xorm"
)

type ActivationCode struct {
	ActiveCode string `json:"active_code" xorm:"'active_code'"`
	ExpireTime int    `json:"expire_time" xorm:"'expire_time'"`
}

func main() {
	// 读取JSON文件
	data, err := ioutil.ReadFile("./data.json")
	if err != nil {
		log.Fatal(err)
	}

	// 解析JSON数据
	var codes []models.ActivationCode
	err = json.Unmarshal(data, &codes)
	if err != nil {
		log.Fatal(err)
	}

	// 创建数据库引擎
	engine, err := xorm.NewEngine("mysql", "root:822198gxq!@tcp(localhost:3306)/WorldEpcho?charset=utf8mb4")
	if err != nil {
		log.Fatal(err)
	}
	defer engine.Close()

	//// 创建激活码表
	//err = engine.Sync2(new(ActivationCode))
	//if err != nil {
	//	log.Fatal(err)
	//}

	// 插入数据
	_, err = engine.Insert(&codes)
	if err != nil {
		log.Fatal(err)
	}

	fmt.Println("数据插入成功！")
}
